summaryrefslogtreecommitdiff
path: root/test/integration/run-tests
diff options
context:
space:
mode:
authorDavid Kalnischkies <david@kalnischkies.de>2015-10-11 13:00:56 +0200
committerDavid Kalnischkies <david@kalnischkies.de>2015-11-04 18:04:00 +0100
commit3685f84d8c0abfbddd12e034561e5f3fe8cbf2eb (patch)
treeed095772e80de28616eb1e0074206a843846300d /test/integration/run-tests
parenta947590adaf68b1f08a7fca6b5a03f278a485739 (diff)
tests: ensure sponge-files are cleaned up properly
Git-Dch: Ignore
Diffstat (limited to 'test/integration/run-tests')
-rwxr-xr-xtest/integration/run-tests2
1 files changed, 2 insertions, 0 deletions
diff --git a/test/integration/run-tests b/test/integration/run-tests
index 87cc292d7..f2a266139 100755
--- a/test/integration/run-tests
+++ b/test/integration/run-tests
@@ -47,6 +47,8 @@ fi
if [ -n "$TESTTORUN" ]; then
# collecting the output of one test to have it together
OUTPUT="$(mktemp)"
+ CURRENTTRAP="rm -f \"$OUTPUT\"; $CURRENTTRAP"
+ trap "$CURRENTTRAP" 0 HUP INT QUIT ILL ABRT FPE SEGV PIPE TERM
{
if [ "$MSGLEVEL" -le 2 ]; then
printf "${CTEST}Testcase ${CHIGH}${TESTTORUN##*/}${CRESET}: "